#
# spec file for package libretro-4do
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-4do
Version:        0~git20200203
Release:        150500.1.pm.4
Summary:        4DO libretro core for 3DO emulation
License:        GPL-3.0
Group:          System/Emulators/Other
URL:            http://www.retroarch.com
Source:         %{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  make

%description
Port of 4DO/libfreedo to libretro.

%prep
%setup -q

%build
make

%install
mkdir -p %{buildroot}%{_libdir}/libretro
cp 4do_libretro.so %{buildroot}%{_libdir}/libretro

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/4do_libretro.so

%changelog
* Sat Feb 15 2020 i@guoyunhe.me
- Update to version 0~git20200203:
  * MSVC2010 doesn't support binary literal strings
  * This has to be stubbed out for MSVC
  * rewrite of VDLP and timing logic
  * (MSVC 2017) Buildfix
  * Buildfix - Android already has a clock_s/clock_t implementation in <sys/types.h - turn it into freedo_clock instead
  * Fix MSVC 2010 solution
  * fix possible divide by zero with timer calculation
  * Last needed buildfix for OSX PPC
  * Buildfix
  * Buildfix
  * improve clock management
  * add OperaOS SWI HLE for most matrix arithmatic operations
* Thu Oct 10 2019 Yunhe Guo <i@guoyunhe.me>
- Initial version
